Bug 13217 - xserver 1.4 ignoring keyboards configured via xorg.conf
xserver 1.4 ignoring keyboards configured via xorg.conf
Status: RESOLVED WONTFIX
Product: xorg
Classification: Unclassified
Component: Server/General
7.3 (2007.09)
Other All
: medium normal
Assigned To: Xorg Project Team
Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 07:43 UTC by Ademar Reis
Modified: 2008-09-15 22:00 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ademar Reis 2007-11-13 07:43:03 UTC
From a discussion at xorg-ml:
http://lists.freedesktop.org/archives/xorg/2007-October/029421.html

Subject: More on input hotplug
From: Daniel Stone
Date: Fri Oct 19 08:29:24 PDT 2007

Hi,

On Fri, Oct 19, 2007 at 12:17:09PM -0200, Ademar de Souza Reis Jr. wrote:
> 1. The main problem is that users expected that their devices
> configured via xorg.conf would keep working, but as discussed in
> a previous thread, keyboards configured in xorg.conf are
> surpassed by the evdev driver and xkb options are thus ignored.
> 
> Shouldn't preference be given to what's inside xorg.conf, so that
> we keep backward compatibility and a smooth transition?

Yes, preference is given to xorg.conf, but due to the nature of
kbd/evdev interactions, evdev just white-ants kbd.  There's a bit of
work we can do here (if there's already a kbd device defined in the
config file, don't auto-add keyboards), so I'll check it out.
Comment 1 Peter Hutterer 2008-05-20 01:38:17 UTC
(In reply to comment #0)
> On Fri, Oct 19, 2007 at 12:17:09PM -0200, Ademar de Souza Reis Jr. wrote:
> > 1. The main problem is that users expected that their devices
> > configured via xorg.conf would keep working, but as discussed in
> > a previous thread, keyboards configured in xorg.conf are
> > surpassed by the evdev driver and xkb options are thus ignored.
> > 
> > Shouldn't preference be given to what's inside xorg.conf, so that
> > we keep backward compatibility and a smooth transition?
> 
> Yes, preference is given to xorg.conf, but due to the nature of
> kbd/evdev interactions, evdev just white-ants kbd.  There's a bit of
> work we can do here (if there's already a kbd device defined in the
> config file, don't auto-add keyboards), so I'll check it out.


Wouldn't the solution be to add an InputDevice section with evdev as driver and Device as /dev/input/by-id/whatever.
This way the x server will apply the configured option to the respective device, and the hotplug-code (which is invoked later) is prevented from taking over the device.

Comment 2 Peter Hutterer 2008-09-15 22:00:56 UTC
WONTFIX

xserver 1.4 probably won't get much upstream love in the future, using evdev as the driver is the way to go.

Users just need to learn that the HAL fdi file is the configuration for input devices now. If that's not suitable, use /dev/input/by-id and the evdev driver for devices in xorg.conf.